%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Tk-Date
%define modv   0.43

# No binaries here
%define debug_package %{nil}


Summary:       A date/time widget for Perl/Tk
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/S/SR/SREZIC/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Slaven Rezic <slaven@rezic.de>
Provides:      perl(Tk::Date) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(POSIX)
Requires:      perl(Tk) >= 402.002
Requires:      perl(Tk::FireButton) >= 0.05
Requires:      perl(Tk::NumEntry) >= 1.08
Requires:      perl(Tk::NumEntryPlain) >= 0.02
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(Tk) >= 402.002
BuildRequires: perl(Tk::FireButton) >= 0.05
BuildRequires: perl(Tk::NumEntry) >= 1.08
BuildRequires: perl(Tk::NumEntryPlain) >= 0.02


%description
Tk::Date implements a date/time widget for Perl/Tk.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
[ -n "${DISPLAY}" ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Tk/demos/widtrib/date.pl
%{perl_vendorarch}/Tk/demos/widtrib/localized_date.pl
%{perl_vendorarch}/Tk/Date.pm
%{_mandir}/man3/*.3*


%changelog
* Thu Mar 19 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.43-1
- New version (0.43)

* Sat May 24 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.42-1
- Initial build
